Update Comment Annotations
curl --request POST \
--url https://api.velt.dev/v2/commentannotations/update \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"locationIds": [
"<string>"
],
"userIds": [
"<string>"
],
"annotationIds": [
"<string>"
],
"updatedData": [
{
"location": {
"id": "<string>",
"locationName": "<string>"
},
"targetElement": {
"elementId": "<string>",
"targetText": "<string>",
"occurrence": 123,
"selectAllContent": true
},
"from": {},
"status": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"color": "<string>",
"lightColor": "<string>",
"svg": "<string>",
"iconUrl": "<string>"
},
"assignedTo": {},
"context": {},
"priority": {
"id": "<string>",
"name": "<string>",
"color": "<string>",
"lightColor": "<string>"
}
}
],
"updateUsers": [
{
"oldUser": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
},
"newUser": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
}
}
]
}
}
'import requests
url = "https://api.velt.dev/v2/commentannotations/update"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"locationIds": ["<string>"],
"userIds": ["<string>"],
"annotationIds": ["<string>"],
"updatedData": [
{
"location": {
"id": "<string>",
"locationName": "<string>"
},
"targetElement": {
"elementId": "<string>",
"targetText": "<string>",
"occurrence": 123,
"selectAllContent": True
},
"from": {},
"status": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"color": "<string>",
"lightColor": "<string>",
"svg": "<string>",
"iconUrl": "<string>"
},
"assignedTo": {},
"context": {},
"priority": {
"id": "<string>",
"name": "<string>",
"color": "<string>",
"lightColor": "<string>"
}
}
],
"updateUsers": [
{
"oldUser": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
},
"newUser": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
}
}
]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
locationIds: ['<string>'],
userIds: ['<string>'],
annotationIds: ['<string>'],
updatedData: [
{
location: {id: '<string>', locationName: '<string>'},
targetElement: {
elementId: '<string>',
targetText: '<string>',
occurrence: 123,
selectAllContent: true
},
from: {},
status: {
id: '<string>',
name: '<string>',
type: '<string>',
color: '<string>',
lightColor: '<string>',
svg: '<string>',
iconUrl: '<string>'
},
assignedTo: {},
context: {},
priority: {id: '<string>', name: '<string>', color: '<string>', lightColor: '<string>'}
}
],
updateUsers: [
{
oldUser: {userId: '<string>', name: '<string>', email: '<string>'},
newUser: {userId: '<string>', name: '<string>', email: '<string>'}
}
]
}
})
};
fetch('https://api.velt.dev/v2/commentannotations/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Annotations updated successfully.",
"data": {
"yourAnnotationId1": {
"success": true,
"id": "yourAnnotationId1",
"message": "Annotations updated successfully"
}
}
}
}
Comments Annotations
Update Comment Annotations
POST
/
v2
/
commentannotations
/
update
Update Comment Annotations
Use this API to update comment annotations in a document within an organization.
Additional filters can be applied using location IDs, annotation IDs, or user IDs.
Endpoint
POST https://api.velt.dev/v2/commentannotations/update
Headers
Your API key.
Your Auth Token.
Body
Params
Show properties
Show properties
Organization ID
Document ID
Array of Location IDs
Array of User IDs. These are the users who created the comment annotation.
Array of Annotation IDs
Show properties
Show properties
Target Element
Show properties
Show properties
Element DOM Id
Target Text. Provide this if you want to add comment annotation on the provided text content.
Occurrence. Provide this if you want to add comment annotation on a text content.
Select All Content. Provide this if you want to select and add comment annotation on the entire text content of the target elementId.
User object from whom the Comment Annotation is added
User object to whom the comment is assigned
Custom key/value metadata object
Example Requests
1. Update all comment annotations by organizationId and documentId
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
],
"updatedData" : {
"status": {
"id": "inprogress",
"name": "In Progress",
"type": "ongoing"
}
}
}
}
2. Update comment annotations by organizationId, documentId and locationIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"locationIds": [
"locationx"
],
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
],
"updatedData" : {
"status": {
"id": "inprogress",
"name": "In Progress",
"type": "ongoing"
}
}
}
}
3. Update annotations by organizationId, documentId, locationIds and userIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"locationIds": [
"locationx"
],
"userIds": [
"yourUserId"
],
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
],
"updatedData" : {
"status": {
"id": "inprogress",
"name": "In Progress",
"type": "ongoing"
}
}
}
}
4. Update comment annotations by organizationId, documentId and userIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"userIds": [
"yourUserId"
],
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
],
"updatedData" : {
"status": {
"id": "inprogress",
"name": "In Progress",
"type": "ongoing"
}
}
}
}
5. Update comment annotations by organizationId, documentId and annotationIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
],
"updatedData" : {
"status": {
"id": "inprogress",
"name": "In Progress",
"type": "ongoing"
}
}
}
}
6. Update comment annotations by organizationId, documentId, locationIds and annotationIds
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"locationIds": [
"locationx"
],
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
],
"updatedData" : {
"status": {
"id": "inprogress",
"name": "In Progress",
"type": "ongoing"
}
}
}
}
7. Update Users in existing comment annotations
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"annotationIds": [
"yourAnnotationId1",
"yourAnnotationId2"
],
"updateUsers" : [
{
"oldUser": {
"userId": "oldUserId",
},
"newUser": {
"userId": "newUserId",
"name": "newUserName",
"email": "newUserEmail"
}
}
]
}
}
8. Update comment annotations with access context
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"annotationIds": [
"yourAnnotationId1"
],
"updatedData": {
"context": {
"access": {
"entityId": "numberOfAccounts",
"dashboardId": "salesDashboard"
}
}
}
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Annotations updated successfully.",
"data": {
"yourAnnotationId1": {
"success": true,
"id": "yourAnnotationId1",
"message": "Annotations updated successfully"
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Annotations updated successfully.",
"data": {
"yourAnnotationId1": {
"success": true,
"id": "yourAnnotationId1",
"message": "Annotations updated successfully"
}
}
}
}
Was this page helpful?
⌘I

